%define upstream_name 	 File-MimeInfo
%define upstream_version 0.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Determine file type
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PA/PARDUS/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode::Locale)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::BaseDir) >= 0.30.0
BuildRequires: perl(File::DesktopEntry) >= 0.40.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch
Requires:   perl(File::BaseDir) >= 0.30.0
%description
This module can be used to determine the mime type of a file; it's a 
replacement for File::MMagic trying to implement the freedesktop 
specification for using the shared mime-info database. The package
comes with a script called 'mimetype' that can be used as a file(1)
work-alike.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_bindir}/mimeopen
%{_bindir}/mimetype
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Sun Jul 17 2022 tv <tv> 0.330.0-1.mga9
+ Revision: 1869231
- update to 0.33

* Mon Mar 21 2022 umeabot <umeabot> 0.320.0-2.mga9
+ Revision: 1816565
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 tv <tv> 0.320.0-1.mga9
+ Revision: 1789681
- update to 0.32

* Mon Jan 10 2022 tv <tv> 0.310.0-1.mga9
+ Revision: 1767715
- update to 0.31

* Wed Oct 28 2020 tv <tv> 0.300.0-1.mga8
+ Revision: 1639943
- update to 0.30

* Wed Feb 12 2020 umeabot <umeabot> 0.290.0-3.mga8
+ Revision: 1504478
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.290.0-2.mga7
+ Revision: 1283673
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 tv <tv> 0.290.0-1.mga7
+ Revision: 1250247
- update to 0.29

* Sat Jul 22 2017 shlomif <shlomif> 0.280.0-1.mga7
+ Revision: 1128543
- update to 0.28

* Sun Jun 19 2016 pterjan <pterjan> 0.270.0-3.mga6
+ Revision: 1027364
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.270.0-2.mga6
+ Revision: 967271
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 848602
- update to 0.27

* Sun Oct 19 2014 umeabot <umeabot> 0.260.0-4.mga5
+ Revision: 789312
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-3.mga5
+ Revision: 749079
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-2.mga5
+ Revision: 684742
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.260.0-1.mga5
+ Revision: 624257
- update to 0.26

* Tue Apr 15 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 614781
- update to 0.25

* Fri Feb 28 2014 jquelin <jquelin> 0.220.0-1.mga5
+ Revision: 597857
- update to 0.22

* Fri Feb 07 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 585553
- update to 0.21

* Fri Nov 15 2013 tv <tv> 0.200.0-3.mga4
+ Revision: 551405
- add requires on perl(File::BaseDir) (runtime error)
  (why isn't there any automatic perl deps???)
- drop doble perl(File::BaseDir) BR

* Mon Oct 21 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 540671
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 494200
- update to 0.20

* Sun Oct 06 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 492174
- update to 0.19

* Sun Sep 08 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 476026
- update to 0.18

* Fri Jun 07 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 439288
- update to 0.17
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.160.0-6.mga3
+ Revision: 403820
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-5.mga3
+ Revision: 367270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-4.mga3
+ Revision: 315009
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.160.0-3.mga3
+ Revision: 283542
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.160.0-2.mga3
+ Revision: 254209
- fix shebang with new perl 5.16 path

* Thu Jan 05 2012 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 191441
- update to 0.16

* Fri Oct 14 2011 jquelin <jquelin> 0.150.0-6.mga2
+ Revision: 155129
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 0.150.0-5.mga2
+ Revision: 109886
- rebuild script for perl 5.14.1

* Fri Jun 17 2011 jquelin <jquelin> 0.150.0-4.mga2
+ Revision: 108800
- fix bug#1818 - perl-File-MimeInfo doesnt build with perl-5.14.0

* Fri Jan 21 2011 jquelin <jquelin> 0.150.0-3.mga1
+ Revision: 30366
- mageia rebuild
- imported package perl-File-MimeInfo

